np-autocomplete

Full-functional autocomplete (typeahead alternative) AngularJS directive
4 people use it
Author: 9349442?v=3 ng-pros
Submitted by: 5034759?v=3 raeef-refai

Key Features:

  • The easiest to setup.
  • 100% compatible and optimised by default for bootstrap 3.3.5+
  • Provides 4 models: ngModel, npInputModel, npAuto and selectedItem.
  • You are free to use built-in angular directives such ngForm and ngRequired.
  • Uses the transclusion, which gives the flexibility with the input element.
  • Customizable in the way you like.
  • Multiple states (close, open, load and error).

Requirements:

  • JQuery 2.1.4+.
  • AngularJS 1.3.16+.
  • Bootstrap 3.3.5+ (for default template).

Demos

comments powered by Disqus
This page was last updated about 2 years ago.